//CUITileNPMenu - [2020-04-13 11:57:47]
#ifndef _CUITILENPMENU_H_
#define _CUITILENPMENU_H_

#include "CUITileNewspaper.h"
/*

0013F1F8 CUITileNPMenu::CUITileNPMenu()
0013F384 CUITileNPMenu::~CUITileNPMenu()
0013F3C4 CUITileNPMenu::~CUITileNPMenu()
0013F228 CUITileNPMenu::Init()
0013F2D8 CUITileNPMenu::SetupTiles()
0013F3D4 CUITileNPMenu::RenderCore()
0013FCF8 CUITileNPMenu::RenderButtons()
001400B4 CUITileNPMenu::GetButtonDimensions(float &,float &,float &,float &,float &)
00140178 CUITileNPMenu::Process()


*/

class CUITileNPMenu : public CUITileNewspaper {
public:
  CUITileNPMenu();                                                        //0013F1F8
  ~CUITileNPMenu();                                                       //0013F384 0013F3C4
  virtual void Init();                                                    //0013F228
  virtual EUITileAction Process();                                        //00140178
  void SetupTiles();                                                      //0013F2D8
  void RenderCore();                                                      //0013F3D4
  void RenderButtons();                                                   //0013FCF8
  void GetButtonDimensions(float &, float &, float &, float &, float &);  //001400B4

  uchar   unknown_1AC[0x5906];
};

#endif  //_CUITILENPMENU_H_